"{ Package: 'stx:goodies/libcairo' }"

"{ NameSpace: Cairo }"

SimpleView subclass:#ClockView
	instanceVariableNames:'cr'
	classVariableNames:''
	poolDictionaries:''
	category:'Cairo-Examples'
!


!ClockView class methodsFor:'instance creation'!

new
    "return an initialized instance"

    ^ self basicNew initialize.
! !

!ClockView methodsFor:'redrawing'!

redraw

    |area oldClip|

    area := Smalltalk::Rectangle left:1 top:1 width:self width height:self height.
    oldClip := clipRect.
    self clippingRectangle:area.

    self clearView.
    self displayLineFromX:1 y:1 toX:self width y: self height.

    cr isNil ifTrue:[cr := self cairo].



    cr paint: (Color red alpha: 1.0).
    cr rectangleX: 1 y: 1 width: (self width) height: (self height).
    cr stroke.

    self clippingRectangle:oldClip.

    "Created: / 16-06-2012 / 23:25:36 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!ClockView class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
